import { formatHashTag, formatImgUrl } from "@/common/fotmat";
import Counter from "@/components/counter";
import { Image, Text, View } from "@tarojs/components";
import { memo, useCallback } from "react";
import styles  from './index.module.scss'

type OrderParam = {
    list?: any[], 
    sale_mode?: number,
    sale_mode_name?: string,
    unit?: string,
    total_colors?: number,
    total_fabrics?: number,
    total_number?: number,
    status?: number, //订单状态
}

export default memo(({order}:{order:OrderParam}) => {
    //对应数量
    const formatCount = useCallback((item) => {
        return (order?.sale_mode == 0? item.roll : Number(item.length / 100)) + order?.unit
    }, [order])

    return (
        <View className={styles.apply_after_sales_list}>
            {order?.list?.map(item => <View className={styles.apply_after_sales_item}>
                <View className={styles.apply_after_sales_title}>
                    <View className={styles.tag}>{order.sale_mode_name}</View>
                    <View className={styles.title}>{formatHashTag(item.code, item.name)}</View>
                </View>
                <View className={styles.color_list}>
                    {item.product_colors.map(colorItem => <View className={styles.color_item}>
                        <View className={styles.image}><Image src={formatImgUrl('')}/></View>
                        <View className={styles.name_and_number}><Text>{colorItem.code + ' ' + colorItem.name}</Text><Text>x {formatCount(colorItem)}</Text></View>
                        <View className={styles.btn_count}>
                            <Counter/>
                        </View>
                    </View>)}
                </View>
            </View>)}
        </View>
    )
})